#!/usr/bin/env bash

#SBATCH -n 4
#SBATCH --time 7-00:00:00
#SBATCH --error=job.%J.err
#SBATCH --output=job.%J.out



PATH_TO_CONF_FILE=~jvegas/earthdiagnostics/diags.conf
PATH_TO_DIAGNOSTICS=~jvegas/earthdiagnostics
PATH_TO_CONDAENV=diags

module purge
module load NCO/4.5.4-foss-2015a
module load CDO/1.7.2-foss-2015a
module load CDFTOOLS/3.0a8-foss-2015a
module load Miniconda2

set -xv

source activate diags

export PYTHONPATH=${PATH_TO_DIAGNOSTICS}:${PYTHONPATH}
cd ${PATH_TO_DIAGNOSTICS}/earthdiagnostics/
./earthdiags.py -lc DEBUG -f ${PATH_TO_CONF_FILE}
