# coding=utf-8
"""
Script to run the tests for EarthDiagnostics and generate the code coverage report
"""

import coverage
import unittest
import os
work_path = os.path.abspath('.')
source_path = os.path.join(work_path, '..', 'earthdiagnostics', '*')
print(source_path)
cov = coverage.Coverage(include=source_path)
cov.set_option("run:branch", True)
cov.set_option("html:title", 'Coverage report for EarthDiagnostics')

cov.start()
suite = unittest.TestLoader().discover('.')
unittest.TextTestRunner(verbosity=2).run(suite)
cov.stop()

cov.save()
cov.report()
cov.html_report()



